:index-group: Unrevised
:jbake-date: 2018-12-05
:jbake-type: page
:jbake-status: published


tomee:help

Full name:

org.apache.openejb.maven:tomee-maven-plugin[:Current Version]:help

Description:

Display help information on tomee-maven-plugin. Call mvn tomee:help
-Ddetail=true -Dgoal=<goal-name> to display parameter details.

Attributes:

The goal is thread-safe and supports parallel builds.

Optional Parameters

Name

Type

Since

Description

detail

boolean

-

If true, display all settable properties for each goal.Default value is:
false.User property is: detail.

goal

String

-

The name of the goal for which to show help. If unspecified, all goals
will be displayed.User property is: goal.

indentSize

int

-

The number of spaces per indentation level, should be positive.Default
value is: 2.User property is: indentSize.

lineLength

int

-

The maximum length of a display line, should be positive.Default value
is: 80.User property is: lineLength.

Parameter Details

detail:

If true, display all settable properties for each goal.

Type: boolean

Required: No

User Property: detail

Default: false

goal:

The name of the goal for which to show help. If unspecified, all goals
will be displayed.

Type: java.lang.String

Required: No

User Property: goal

indentSize:

The number of spaces per indentation level, should be positive.

Type: int

Required: No

User Property: indentSize

Default: 2

lineLength:

The maximum length of a display line, should be positive.

Type: int

Required: No

User Property: lineLength

Default: 80
